import { Cat001AmbienteDeDestino, Cat002TipoDeDocumento, Cat003ModeloDeFacturacion, Cat004TipoDeTransmision, Cat005TipoDeContingencum, Cat006RetencionIvaMh, Cat007TipoDeGeneracionDelD, Cat008, Cat009TipoDeEstablecimiento, Cat010CodigoDeServicioMedic, Cat011TipoDeItem, Cat012Departamento, Cat013Municipio, Cat014UnidadDeMedida, Cat015Tributo, Cat016CondicionDeLaOperacio, Cat017FormaDePago, Cat018Plazo, Cat019CodigoDeActividaEcono, Cat020Pai, Cat021OtrosDocumentosAsociad, Cat022TipoDeDocumentoDeIde, Cat023TipoDeContingencum, Cat024TipoDeInvalidacion, Cat025TituloAQueRemitenLo, Cat026TipoDeDonacion, Cat027RecintoFiscal, Cat028Regimen, Cat029TipoDePersona, Cat030Transporte, Cat031Incoterm, Cat032DomicilioFiscal } from './interfaces/cats.interfaces';
export declare class SeedcodeCatalogosMhService {
    private readonly cat001AmbienteDeDestino;
    private readonly cat002TipoDeDocumento;
    private readonly cat003ModeloDeFacturacion;
    private readonly cat004TipoDeTransmision;
    private readonly cat005TipoDeContingencum;
    private readonly cat006RetencionIvaMh;
    private readonly cat007TipoDeGeneracionDelD;
    private readonly cat008;
    private readonly cat009TipoDeEstablecimiento;
    private readonly cat010CodigoDeServicioMedic;
    private readonly cat011TipoDeItem;
    private readonly cat012Departamento;
    private readonly cat013Municipio;
    private readonly cat014UnidadDeMedida;
    private readonly cat015Tributo;
    private readonly cat016CondicionDeLaOperacio;
    private readonly cat017FormaDePago;
    private readonly cat018Plazo;
    private readonly cat019CodigoDeActividaEcono;
    private readonly cat020Pai;
    private readonly cat021OtrosDocumentosAsociad;
    private readonly cat022TipoDeDocumentoDeIde;
    private readonly cat023TipoDeContingencum;
    private readonly cat024TipoDeInvalidacion;
    private readonly cat025TituloAQueRemitenLos;
    private readonly cat026TipoDeDonacion;
    private readonly cat027RecintoFiscal;
    private readonly cat028Regimen;
    private readonly cat029TipoDePersona;
    private readonly cat030Transporte;
    private readonly cat031Incoterm;
    private readonly cat032DomicilioFiscal;
    get001AmbienteDeDestino(): Cat001AmbienteDeDestino[];
    get002TipoDeDocumento(): Cat002TipoDeDocumento[];
    get003ModeloDeFacturacion(): Cat003ModeloDeFacturacion[];
    get004TipoDeTransmision(): Cat004TipoDeTransmision[];
    get005TipoDeContingencum(): Cat005TipoDeContingencum[];
    get006RetencionIvaMh(): Cat006RetencionIvaMh[];
    get007TipoDeGeneracionDelD(): Cat007TipoDeGeneracionDelD[];
    get008(): Cat008[];
    get009TipoDeEstablecimiento(): Cat009TipoDeEstablecimiento[];
    get010CodigoDeServicioMedic(): Cat010CodigoDeServicioMedic[];
    get011TipoDeItem(): Cat011TipoDeItem[];
    get012Departamento(): Cat012Departamento[];
    get013Municipio(departamento: string): Cat013Municipio[] | null;
    get014UnidadDeMedida(): Cat014UnidadDeMedida[];
    get015Tributo(): Cat015Tributo[];
    get016CondicionDeLaOperacio(): Cat016CondicionDeLaOperacio[];
    get017FormaDePago(): Cat017FormaDePago[];
    get018Plazo(): Cat018Plazo[];
    get019CodigoDeActividaEcono(name?: string, page?: number, pageSize?: number): Cat019CodigoDeActividaEcono[];
    get020Pais(): Cat020Pai[];
    get021OtrosDocumentosAsociad(): Cat021OtrosDocumentosAsociad[];
    get022TipoDeDocumentoDeIde(): Cat022TipoDeDocumentoDeIde[];
    get023TipoDeContingencum(): Cat023TipoDeContingencum[];
    get024TipoDeInvalidacion(): Cat024TipoDeInvalidacion[];
    get025TituloAQueRemitenLo(): Cat025TituloAQueRemitenLo[];
    get026TipoDeDonacion(): Cat026TipoDeDonacion[];
    get027TipoDePersona(): Cat027RecintoFiscal[];
    get028Regimen(): Cat028Regimen[];
    get029TipoDePersona(): Cat029TipoDePersona[];
    get030Transporte(): Cat030Transporte[];
    get031Incoterm(): Cat031Incoterm[];
    get032DomicilioFiscal(): Cat032DomicilioFiscal[];
    normalize(text: string): string;
}
